# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions

# vl::FBOTexture1DAttachment Class Reference

A 1D texture renderbuffer to be attached to a FramebufferObject (wraps `glFramebufferTexture1D()`). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOTexture1DAttachment:

List of all members.

## Public Member Functions

| FBOTexture1DAttachment ()
| Constructor.
| FBOTexture1DAttachment (Texture *texture, int mipmap_level)
| Constructor.

## Protected Member Functions

virtual void | bindAttachment (FramebufferObject *fbo, EAttachmentPoint attach_point)

## Detailed Description

A 1D texture renderbuffer to be attached to a FramebufferObject (wraps `glFramebufferTexture1D()`).

See also:
  http://www.opengl.org/sdk/docs/man3/xhtml/glFramebufferTexture.xml

Definition at line 345 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOTexture1DAttachment::FBOTexture1DAttachment | ( | ) | `[inline]`

Constructor.

Definition at line 351 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

vl::FBOTexture1DAttachment::FBOTexture1DAttachment | ( | Texture * | texture,
|  | int | mipmap_level
| ) |  | `[inline]`

Constructor.

Definition at line 357 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void FBOTexture1DAttachment::bindAttachment | ( | FramebufferObject * | fbo,
|  | EAttachmentPoint | attach_point
| ) |  | `[protected, virtual]`

Implements vl::FBOAbstractAttachment.

Definition at line 359 of file FramebufferObject.cpp.

References vl::Has_FBO, vl::FBOAbstractTextureAttachment::mipmapLevel(), vl::FBOAbstractTextureAttachment::texture(), VL_CHECK, VL_CHECK_OGL, vl::Texture::width(), and vl::Framebuffer::width().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:37.
Permission is granted to use this page to write and publish articles regarding Visualization Library.